Bug 2114 - PPC64 build failure with 2.6 kernel headers
Summary: PPC64 build failure with 2.6 kernel headers
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 6.8.2
Hardware: PowerPC Linux (All)
: high blocker
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-19 15:28 UTC by Adam Jackson
Modified: 2005-01-11 22:23 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
system-eieio-on-ppc64-linux.patch (763 bytes, patch)
2004-12-19 15:30 UTC, Adam Jackson
no flags Details | Splinter Review
[FIXED_X11R68x] system-eieio-on-ppc64-linux-v2.patch (702 bytes, patch)
2004-12-22 08:33 UTC, Donnie Berkholz
roland.mainz: 6.8-branch+
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jackson 2004-12-19 15:28:16 UTC
http://bugs.gentoo.org/show_bug.cgi?id=66223

the eieio() macro gets defined unconditionally in xfree86/common/compiler.h, but
it's already defined in <asm/memory.h> for ppc64.  affects both HEAD and 6.8.2.
Comment 1 Adam Jackson 2004-12-19 15:30:52 UTC
Created attachment 1572 [details] [review]
system-eieio-on-ppc64-linux.patch

credit to Tim Yamin.
Comment 2 Adam Jackson 2004-12-19 15:33:06 UTC
Comment on attachment 1572 [details] [review]
system-eieio-on-ppc64-linux.patch

build failure for ppc64/linux-2.6 on 6.8.2RC1.
Comment 3 Donnie Berkholz 2004-12-22 08:33:15 UTC
Created attachment 1590 [details] [review]
[FIXED_X11R68x] system-eieio-on-ppc64-linux-v2.patch

We also need to make sure we're on PPC64, because this breaks PPC32 builds
since they lack asm/memory.h.
Comment 4 Adam Jackson 2004-12-24 11:38:29 UTC
Comment on attachment 1572 [details] [review]
system-eieio-on-ppc64-linux.patch

obsoleted...
Comment 5 Adam Jackson 2004-12-24 11:38:46 UTC
Comment on attachment 1590 [details] [review]
[FIXED_X11R68x] system-eieio-on-ppc64-linux-v2.patch

better fix.
Comment 6 Roland Mainz 2005-01-12 16:26:01 UTC
Comment on attachment 1590 [details] [review]
[FIXED_X11R68x] system-eieio-on-ppc64-linux-v2.patch

Approved for commit into X11R6.8.x stable branch in the 2005-01-10 Xorg
release-wranglers phone call.
Comment 7 Roland Mainz 2005-01-12 16:31:56 UTC
Comment on attachment 1590 [details] [review]
[FIXED_X11R68x] system-eieio-on-ppc64-linux-v2.patch

Patch checked-in into X11R6.8.x stable branch:

/cvs/xorg/xc/ChangeLog,v  <--  ChangeLog
new revision: 1.365.2.118; previous revision: 1.365.2.117
cvs commit: Using deprecated info format strings.  Convert your scripts to use
the new argument format and remove '1's from your info file format strings.
/cvs/xorg/xc/programs/Xserver/hw/xfree86/common/compiler.h,v  <--  compiler.h
new revision: 1.3.2.1; previous revision: 1.3
cvs commit: Using deprecated info format strings.  Convert your scripts to use
the new argument format and remove '1's from your info file format strings.
Mailing the commit message to xorg-commit@lists.freedesktop.org...
Comment 8 Roland Mainz 2005-01-12 16:34:24 UTC
ajax:
Did you commit this patch to Xorg trunk yet ? If "yes" - can this bug be closed
?
Comment 9 Adam Jackson 2005-01-12 17:23:28 UTC
woops, i hadn't yet.  thanks for the reminder.

applied to HEAD, closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.